Bug 1539499 - [abrt] blueman: __init__(): Manager.py:38:__init__:GLib.GError: g-dbus-error-quark: Error calling StartServiceByName for org.bluez: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.bluez': timed out (service_start_timeou...
Summary: [abrt] blueman: __init__(): Manager.py:38:__init__:GLib.GError: g-dbus-error-...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: blueman
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pete Walter
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:8e5be9410bfaadf74d498fbbc44...
: 1624585 1629682 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-29 03:11 UTC by Joseph D. Wagner
Modified: 2019-05-28 23:27 UTC (History)
23 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 23:27:49 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1.13 KB, text/plain)
2018-01-29 03:11 UTC, Joseph D. Wagner
no flags Details
File: cgroup (289 bytes, text/plain)
2018-01-29 03:11 UTC, Joseph D. Wagner
no flags Details
File: cpuinfo (1.00 KB, text/plain)
2018-01-29 03:11 UTC, Joseph D. Wagner
no flags Details
File: environ (1.34 KB, text/plain)
2018-01-29 03:11 UTC, Joseph D. Wagner
no flags Details
File: mountinfo (3.15 KB, text/plain)
2018-01-29 03:11 UTC, Joseph D. Wagner
no flags Details
File: namespaces (129 bytes, text/plain)
2018-01-29 03:11 UTC, Joseph D. Wagner
no flags Details
File: open_fds (890 bytes, text/plain)
2018-01-29 03:11 UTC, Joseph D. Wagner
no flags Details

Description Joseph D. Wagner 2018-01-29 03:11:06 UTC
Version-Release number of selected component:
blueman-2.1-0.8.alpha2.fc28

Additional info:
reporter:       libreport-2.9.3
cmdline:        python3 /usr/bin/blueman-applet
crash_function: __init__
exception_type: GLib.GError
executable:     /usr/bin/blueman-applet
kernel:         4.15.0-0.rc3.git1.1.fc28.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
Manager.py:38:__init__:GLib.GError: g-dbus-error-quark: Error calling StartServiceByName for org.bluez: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.bluez': timed out (service_start_timeout=25000ms) (20)

Traceback (most recent call last):
  File "/usr/bin/blueman-applet", line 42, in <module>
    BluemanApplet()
  File "/usr/lib/python3.6/site-packages/blueman/main/Applet.py", line 23, in __init__
    self.Manager = Bluez.Manager()
  File "/usr/lib/python3.6/site-packages/blueman/bluez/Manager.py", line 16, in __call__
    cls._instance = super().__call__(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blueman/bluez/Manager.py", line 38, in __init__
    self.__bus_name, '/', None, None, None)
GLib.GError: g-dbus-error-quark: Error calling StartServiceByName for org.bluez: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.bluez': timed out (service_start_timeout=25000ms) (20)

Local variables in innermost frame:
self: <Manager.Manager object at 0x7f8dd005c5e8 (blueman+bluez+Manager+Manager at 0x561e6af41140)>
__class__: <class 'blueman.bluez.Manager.Manager'>

Potential duplicate: bug 1527940

Comment 1 Joseph D. Wagner 2018-01-29 03:11:09 UTC
Created attachment 1387544 [details]
File: backtrace

Comment 2 Joseph D. Wagner 2018-01-29 03:11:10 UTC
Created attachment 1387545 [details]
File: cgroup

Comment 3 Joseph D. Wagner 2018-01-29 03:11:11 UTC
Created attachment 1387546 [details]
File: cpuinfo

Comment 4 Joseph D. Wagner 2018-01-29 03:11:12 UTC
Created attachment 1387547 [details]
File: environ

Comment 5 Joseph D. Wagner 2018-01-29 03:11:13 UTC
Created attachment 1387548 [details]
File: mountinfo

Comment 6 Joseph D. Wagner 2018-01-29 03:11:14 UTC
Created attachment 1387549 [details]
File: namespaces

Comment 7 Joseph D. Wagner 2018-01-29 03:11:15 UTC
Created attachment 1387550 [details]
File: open_fds

Comment 8 Fedora End Of Life 2018-02-20 15:26:32 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 9 Lukas Ruzicka 2018-03-14 13:09:24 UTC
Similar problem has been detected:

The fresh system was running for the first time when this error was reported.

reporter:       libreport-2.9.3
cmdline:        python3 /usr/bin/blueman-applet
crash_function: __init__
exception_type: GLib.GError
executable:     /usr/bin/blueman-applet
kernel:         4.16.0-0.rc5.git0.1.fc28.x86_64
package:        1:blueman-2.1-0.9.alpha2.fc28
reason:         Manager.py:38:__init__:GLib.GError: g-dbus-error-quark: Error calling StartServiceByName for org.bluez: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.bluez': timed out (service_start_timeout=25000ms) (20)
runlevel:       N 5
type:           Python3
uid:            1000

Comment 10 Quentin Tayssier 2018-03-28 04:54:52 UTC
Similar problem has been detected:

Fedora 28 Xfce Beta 1.1 normal boot on VM

reporter:       libreport-2.9.3
cmdline:        python3 /usr/bin/blueman-applet
crash_function: __init__
exception_type: GLib.GError
executable:     /usr/bin/blueman-applet
kernel:         4.16.0-0.rc4.git0.1.fc28.x86_64
package:        1:blueman-2.1-0.9.alpha2.fc28
reason:         Manager.py:38:__init__:GLib.GError: g-dbus-error-quark: Error calling StartServiceByName for org.bluez: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.bluez': timed out (service_start_timeout=25000ms) (20)
runlevel:       N 5
type:           Python3
uid:            1000

Comment 11 Lukas Ruzicka 2018-04-04 11:09:33 UTC
Similar problem has been detected:

A fresh installation of XFCE desktop threw out this error after the first user login into DE.

reporter:       libreport-2.9.4
cmdline:        python3 /usr/bin/blueman-applet
crash_function: __init__
exception_type: GLib.GError
executable:     /usr/bin/blueman-applet
interpreter:    python3-3.6.4-20.fc28.x86_64
kernel:         4.16.0-300.fc28.x86_64
package:        1:blueman-2.1-0.9.alpha2.fc28
reason:         Manager.py:38:__init__:GLib.GError: g-dbus-error-quark: Error calling StartServiceByName for org.bluez: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.bluez': timed out (service_start_timeout=25000ms) (20)
runlevel:       N 5
type:           Python3
uid:            1000

Comment 12 Mark Chandler 2018-04-07 23:58:22 UTC
Similar problem has been detected:

Logged in to Gnome from a fresh reboot.
This Fedora workstation has recently been upgraded from f27 to f28beta. Also was an upgrade from f26 to f27.

reporter:       libreport-2.9.4
cmdline:        python3 /usr/bin/blueman-applet
crash_function: __init__
exception_type: GLib.GError
executable:     /usr/bin/blueman-applet
interpreter:    python3-3.6.5-1.fc28.x86_64
kernel:         4.16.0-300.fc28.x86_64
package:        1:blueman-2.1-0.9.alpha2.fc28
reason:         Manager.py:38:__init__:GLib.GError: g-dbus-error-quark: Error calling StartServiceByName for org.bluez: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.bluez': timed out (service_start_timeout=25000ms) (20)
runlevel:       N 5
type:           Python3
uid:            1000

Comment 13 chiguy1256 2018-04-22 23:09:32 UTC
Similar problem has been detected:

not sure.  I just logged on and got the message.

reporter:       libreport-2.9.3
cmdline:        python3 /usr/bin/blueman-applet
crash_function: __init__
exception_type: GLib.GError
executable:     /usr/bin/blueman-applet
kernel:         4.16.0-0.rc4.git0.1.fc28.x86_64
package:        1:blueman-2.1-0.9.alpha2.fc28
reason:         Manager.py:38:__init__:GLib.GError: g-dbus-error-quark: Error calling StartServiceByName for org.bluez: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.bluez': timed out (service_start_timeout=25000ms) (20)
runlevel:       N 5
type:           Python3
uid:            1000

Comment 14 Serg Merkelov 2018-05-04 18:02:45 UTC
Similar problem has been detected:

During system startup

reporter:       libreport-2.9.5
crash_function: __init__
exception_type: GLib.GError
executable:     /usr/bin/blueman-applet
kernel:         4.16.5-300.fc28.x86_64
package:        1:blueman-2.1-0.9.alpha2.fc28
reason:         Manager.py:38:__init__:GLib.GError: g-dbus-error-quark: Error calling StartServiceByName for org.bluez: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.bluez': timed out (service_start_timeout=25000ms) (20)
runlevel:       N 5
type:           Python3
uid:            1000

Comment 15 Kerry 2018-06-10 22:25:31 UTC
Similar problem has been detected:

Restarted computer, crash while x windows starts.

reporter:       libreport-2.9.5
cmdline:        python3 /usr/bin/blueman-applet
crash_function: __init__
exception_type: GLib.GError
executable:     /usr/bin/blueman-applet
interpreter:    python3-3.6.5-1.fc28.x86_64
kernel:         4.16.14-300.fc28.x86_64
package:        1:blueman-2.1-0.9.alpha2.fc28
reason:         Manager.py:38:__init__:GLib.GError: g-dbus-error-quark: Error calling StartServiceByName for org.bluez: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.bluez': timed out (service_start_timeout=25000ms) (20)
runlevel:       N 5
type:           Python3
uid:            1000

Comment 16 Tadeusz Struk 2018-06-18 15:06:24 UTC
Similar problem has been detected:

Crash occures just after logging in. No further action required.

reporter:       libreport-2.9.5
cmdline:        python3 /usr/bin/blueman-applet
crash_function: __init__
exception_type: GLib.GError
executable:     /usr/bin/blueman-applet
interpreter:    python3-3.6.5-1.fc28.x86_64
kernel:         4.16.15-300.fc28.x86_64
package:        1:blueman-2.1-0.9.alpha2.fc28
reason:         Manager.py:38:__init__:GLib.GError: g-dbus-error-quark: Error calling StartServiceByName for org.bluez: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.bluez': timed out (service_start_timeout=25000ms) (20)
runlevel:       N 5
type:           Python3
uid:            1001

Comment 17 Brian Morrison 2018-07-28 17:19:16 UTC
Similar problem has been detected:

During login to GNOME desktop, no user input up to that point after typing password

reporter:       libreport-2.9.5
crash_function: __init__
exception_type: GLib.GError
executable:     /usr/bin/blueman-applet
kernel:         4.17.10-200.fc28.x86_64
package:        1:blueman-2.1-0.9.alpha2.fc28
reason:         Manager.py:38:__init__:GLib.GError: g-dbus-error-quark: Error calling StartServiceByName for org.bluez: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.bluez': timed out (service_start_timeout=25000ms) (20)
runlevel:       N 5
type:           Python3
uid:            1000

Comment 18 Latitude5285 2018-09-01 21:30:51 UTC
*** Bug 1624585 has been marked as a duplicate of this bug. ***

Comment 19 Latitude5285 2018-09-02 21:41:33 UTC
I've checked my computer, and it doesn't have bluetooth adapter or the wifi chipset isn't included with bluetooth.

Comment 20 Kjeld Olsen 2018-09-17 10:01:40 UTC
*** Bug 1629682 has been marked as a duplicate of this bug. ***

Comment 21 Opie Reger 2018-09-23 09:32:28 UTC
Similar problem has been detected:

This is the second time, both happened after reboot

reporter:       libreport-2.9.5
cmdline:        python3 /usr/bin/blueman-applet
crash_function: __init__
exception_type: GLib.GError
executable:     /usr/bin/blueman-applet
interpreter:    python3-3.6.6-1.fc28.x86_64
kernel:         4.18.8-200.fc28.x86_64
package:        1:blueman-2.1-0.9.alpha2.fc28
reason:         Manager.py:38:__init__:GLib.GError: g-dbus-error-quark: Error calling StartServiceByName for org.bluez: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.bluez': timed out (service_start_timeout=25000ms) (20)
runlevel:       N 5
type:           Python3
uid:            1000

Comment 22 Opie Reger 2018-09-23 14:28:18 UTC
This bug may be caused by a Race Condition.  The problem seems to happen after a reboot and when I login right-a-way.  When I wait to login for a few minutes the problem does not seem to happen.

Comment 23 Opie Reger 2018-09-23 14:30:35 UTC
This bug may be caused by a Race Condition.  The problem seems to happen after a reboot and when I login right-a-way.  When I wait to login for a few minutes the problem does not seem to happen.

Comment 24 pi 2018-09-29 01:38:22 UTC
Similar problem has been detected:

This happened right after logging in: (1) I updated Fedora to Fedora 28, (2) I booted (for the first time after the update), (3) I logged in, and I immediately got this crash.

reporter:       libreport-2.9.5
cmdline:        python3 /usr/bin/blueman-applet
crash_function: __init__
exception_type: GLib.GError
executable:     /usr/bin/blueman-applet
interpreter:    python3-3.6.6-1.fc28.x86_64
kernel:         4.18.9-200.fc28.x86_64
package:        1:blueman-2.1-0.9.alpha2.fc28
reason:         Manager.py:38:__init__:GLib.GError: g-dbus-error-quark: Error calling StartServiceByName for org.bluez: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.bluez': timed out (service_start_timeout=25000ms) (20)
runlevel:       N 5
type:           Python3
uid:            10169

Comment 25 Peter Greenwood 2018-10-07 18:17:14 UTC
Similar problem has been detected:

Booted the system, logged in

reporter:       libreport-2.9.5
crash_function: __init__
exception_type: GLib.GError
executable:     /usr/bin/blueman-applet
kernel:         4.17.19-200.fc28.x86_64
package:        1:blueman-2.1-0.9.alpha2.fc28
reason:         Manager.py:38:__init__:GLib.GError: g-dbus-error-quark: Error calling StartServiceByName for org.bluez: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.bluez': timed out (service_start_timeout=25000ms) (20)
runlevel:       N 5
type:           Python3
uid:            1002

Comment 26 Martin Gregorie 2018-12-07 13:55:51 UTC
Similar problem has been detected:

I logged in on my home server PC using its attached screen and keyboard.
This login is to a user that I normally access over my wired LAN via an SSH session started from a console.
This fault was reported after XFCE had set up menu bar, the usual set of desktop icons on the left and the
short cuts menu bar at bottom left on screen.

reporter:       libreport-2.9.5
cmdline:        python3 /usr/bin/blueman-applet
crash_function: __init__
exception_type: GLib.GError
executable:     /usr/bin/blueman-applet
interpreter:    python3-3.6.7-2.fc28.x86_64
kernel:         4.19.4-200.fc28.x86_64
package:        1:blueman-2.1-0.9.alpha2.fc28
reason:         Manager.py:38:__init__:GLib.GError: g-dbus-error-quark: Error calling StartServiceByName for org.bluez: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.bluez': timed out (service_start_timeout=25000ms) (20)
runlevel:       N 5
type:           Python3
uid:            1513

Comment 27 Martin Gregorie 2018-12-11 21:46:18 UTC
I notice that others report this bug as occurring on a computer which does not have Bluetooth installed. That's true in my case as well.

Comment 28 jamie 2018-12-11 21:51:04 UTC
Oh, I have a Bluetooth dongle but it is normally not plugged in, interesting.

Comment 29 Marco Coppola 2018-12-15 12:14:41 UTC
Similar problem has been detected:

Problem appeared on boot

reporter:       libreport-2.9.5
cmdline:        python3 /usr/bin/blueman-applet
crash_function: __init__
exception_type: GLib.GError
executable:     /usr/bin/blueman-applet
interpreter:    python3-3.6.7-2.fc28.x86_64
kernel:         4.19.8-200.fc28.x86_64
package:        1:blueman-2.1-0.9.alpha2.fc28
reason:         Manager.py:38:__init__:GLib.GError: g-dbus-error-quark: Error calling StartServiceByName for org.bluez: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.bluez': timed out (service_start_timeout=25000ms) (20)
runlevel:       N 5
type:           Python3
uid:            1000

Comment 30 Ben Cotton 2019-05-02 20:07:04 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 31 Ben Cotton 2019-05-28 23:27:49 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.